Skip to main content
GET
/
events
/
{event_id}
Retrieve an event
curl --request GET \
  --url https://api.pulsewave.dev/v1/events/{event_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "evt_1a2b3c",
  "object": "event",
  "created_at": "2023-11-07T05:31:56Z",
  "data": {}
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Path Parameters

event_id
string
required
Example:

"evt_1a2b3c"

Response

The requested event

id
string
Example:

"evt_1a2b3c"

object
enum<string>
Available options:
event
type
enum<string>
Available options:
message.sent,
message.delivered,
message.bounced,
message.opened,
message.clicked,
message.complained,
contact.unsubscribed,
domain.verified
created_at
string<date-time>
data
object

The object the event happened to, e.g. a Message or Contact